QTLtools-correct(1)

NAME
QTLtools correct - Corrects genotypes or phenotypes with the provided covariates

SYNOPSIS
QTLtools correct --vcf [in.vcf|in.vcf.gz|in.bcf] | --bed in.bed.gz --cov covariates.txt | --normal --out output.txt [OPTIONS]

DESCRIPTION
This mode corrects genotypes or phenotypes in VCF, BCF, or BED files with covariates provided and/or rank normal transforms the data and writes out the new corrected values to a file. This mode regresses out the covariates from the data, and writes the residuals to a file.

OPTIONS

--vcf [in.vcf|in.bcf|in.vcf.gz|in.bed.gz]
    Genotypes in VCF/BCF/BED format. REQUIRED unless --bed.

--bed quantifications.bed.gz
    Quantifications in BED format. REQUIRED unless --vcf.

--out output_file
    Output file name. REQUIRED.

--cov covariates.txt
    Covariates to correct the data with. REQUIRED unless --normal.

--qtl qtl_file [in.vcf|in.vcf.gz|in.bcf]
    Corrects given phenotypes with the given genotypes. Takes two arguments. The first one is a text file listing genotype-phenotype pairs (separated by a space e.g. snp1 gene1), one pair per line. A phenotype will be corrected for all the genotypes provided for that phenotype. The second argument is a VCF file containing the genotypes. The variant IDs in the qtl_file must match the variant IDs in the VCF file, and the phenotype IDs must match with the --bed file. Requires --bed.

--normal
    Rank normal transform the data. REQUIRED unless --cov.

EXAMPLES

o   Correct gene quantifications with technical covariates, rank normal transform the quantifications, and create a new bed file:

    QTLtools correct --bed quantifications.bed.gz --out quantifications_corrected.bed --cov technical_covars.txt --normal

o   Correct the gene quantifications for eQTLs

    QTLtools correct --bed quantifications.bed.gz --out quantifications_corrected.bed --qtl eQTL_variant_gene_pairs.txt

SEE ALSO
QTLtools(1)

QTLtools website: <https://qtltools.github.io/qtltools>

BUGS

o   Versions up to and including 1.2, suffer from a bug in reading missing genotypes in VCF/BCF files. This bug affects variants with a DS field in their genotype's FORMAT and have a missing genotype (DS field is .) in one of the samples, in which case genotypes for all the samples are set to missing, effectively removing this variant from the analyses.

Please submit bugs to <https://github.com/qtltools/qtltools>

CITATION
Delaneau, O., Ongen, H., Brown, A. et al. A complete tool set for molecular QTL discovery and analysis. Nat Commun 8, 15452 (2017). <https://doi.org/10.1038/ncomms15452>

AUTHORS
Olivier Delaneau (olivier.delaneau@gmail.com), Halit Ongen (halitongen@gmail.com)